Page MenuHomePhabricator

Commons globalimagelinks should be exported to http://dumps.wikimedia.org
Closed, ResolvedPublic

Description

We need this data to be able to provide offline selection of commons files.

MariaDB [commonswiki_p]> select count(*)  from globalimagelinks;
+-----------+
| count(*)  |
+-----------+
| 262603582 |
+-----------+
1 row in set (3 min 31.49 sec)

Event Timeline

Kelson created this task.Jan 26 2015, 1:31 PM
Kelson raised the priority of this task from to Needs Triage.
Kelson updated the task description. (Show Details)
Kelson added a subscriber: Kelson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2015, 1:31 PM
Nemo_bis updated the task description. (Show Details)Jan 26 2015, 2:21 PM
Aklapper triaged this task as Low priority.Jan 26 2015, 9:46 PM
Kelson added a subscriber: Bjohas.Mar 20 2015, 5:21 PM

Hi @Ariel
I'm currently participating to a call for projects where this stone is mandatory for project achievement.
What would be the procedure to achieve this?
Do we have here any kind of blocker/difficulty?

@Ariel, @Kelson,

this is important for us to.

This functionality is extremely necessary

Steinsplitter raised the priority of this task from Low to Normal.Mar 23 2015, 7:52 PM
Nick added a subscriber: Nick.Mar 23 2015, 8:00 PM
-jem- added a subscriber: -jem-.Mar 23 2015, 8:02 PM
Dereckson added a subscriber: Dereckson.EditedMar 23 2015, 8:21 PM

@ArielGlenn I've got a chat with The_Photographer, who has indicated to me this feature is needed by Kiwix to produce a ZIM of best pictures.

This seems to be a valid case to prioritize a little bit this request.

putnik added a subscriber: putnik.Mar 23 2015, 8:55 PM
Steinsplitter moved this task from Incoming to Uploading on the Commons board.
Steinsplitter moved this task from Uploading to Backlog on the Commons board.
Steinsplitter added a subscriber: Commons.
Steinsplitter removed a subscriber: Commons.

Is this blocked on a certain developer's knowledge, or could anybody work on the code to make the code support this functionality?

(General note: Using tokens is more welcome than "me too" messages.)

Change 200313 had a related patch set uploaded (by Kelson):
Allow to backup globalimagelinks table, T87571

https://gerrit.wikimedia.org/r/200313

Ijon awarded a token.Mar 29 2015, 1:59 AM
Nemo_bis raised the priority of this task from Normal to High.Apr 9 2015, 7:52 AM

Impacts content + in scope + use case at hand -> above the mass of "Normal" in this component.

ArielGlenn moved this task from Backlog to Up Next on the Dumps-Generation board.Oct 1 2015, 8:29 AM

Change 242824 had a related patch set uploaded (by ArielGlenn):
add globalusage table config info for dumps, T87571

https://gerrit.wikimedia.org/r/242824

Change 242824 merged by ArielGlenn:
add globalusage table config info for dumps, T87571

https://gerrit.wikimedia.org/r/242824

Change 200313 merged by ArielGlenn:
Allow to backup globalimagelinks table, T87571

https://gerrit.wikimedia.org/r/200313

ArielGlenn closed this task as Resolved.Oct 1 2015, 9:13 AM
ArielGlenn claimed this task.

This is now live and will be dumped during the next dumps run.

ArielGlenn moved this task from Up Next to Done on the Dumps-Generation board.Oct 1 2015, 9:13 AM

@ArielGlenn This is great to have it meanwhile. THX.